{* 
//////
//    @version [ Wainuiomata ]
//    @package hwdVideoShare
//    @copyright (C) 2007 - 2009 Highwood Design
//    @license http://creativecommons.org/licenses/by-nc-nd/3.0/
//////
*}


{literal}
<script type="text/javascript">
jQuery.noConflict();

var dataTweenerFunction  = function() 
{
	var videoDataHeight = $('videoDataInternal').getSize().scrollSize.y+20;
        
        new Fx.Style('addData', 'opacity').set(0);
        new Fx.Style('addData', 'height').set(0);
        new Fx.Style('embedData', 'opacity').set(0);
        new Fx.Style('embedData', 'height').set(0);
        new Fx.Style('saveData', 'opacity').set(0);
        new Fx.Style('saveData', 'height').set(0);
        new Fx.Style('shareData', 'opacity').set(0);
        new Fx.Style('shareData', 'height').set(0);
        
        new Fx.Style('videoData', 'opacity', {duration:500}).start(1);
        new Fx.Style('videoData', 'height').set(videoDataHeight);
}

var addTweenerFunction  = function() 
{
	var addDataHeight = $('addDataInternal').getSize().scrollSize.y+20;
        
        new Fx.Style('videoData', 'opacity').set(0);
        new Fx.Style('videoData', 'height').set(0);
        new Fx.Style('embedData', 'opacity').set(0);
        new Fx.Style('embedData', 'height').set(0);
        new Fx.Style('saveData', 'opacity').set(0);
        new Fx.Style('saveData', 'height').set(0);
        new Fx.Style('shareData', 'opacity').set(0);
        new Fx.Style('shareData', 'height').set(0);
                
        new Fx.Style('addData', 'opacity', {duration:500}).start(1);
        new Fx.Style('addData', 'height').set(addDataHeight);
}

var embedTweenerFunction  = function() 
{
	var embedDataHeight = $('embedDataInternal').getSize().scrollSize.y+20;
        
        new Fx.Style('videoData', 'opacity').set(0);
        new Fx.Style('videoData', 'height').set(0);
        new Fx.Style('addData', 'opacity').set(0);
        new Fx.Style('addData', 'height').set(0);
        new Fx.Style('saveData', 'opacity').set(0);
        new Fx.Style('saveData', 'height').set(0);
        new Fx.Style('shareData', 'opacity').set(0);
        new Fx.Style('shareData', 'height').set(0);
                   
        new Fx.Style('embedData', 'opacity', {duration:500}).start(1);
        new Fx.Style('embedData', 'height').set(embedDataHeight);
}


var saveTweenerFunction  = function() 
{
	var saveDataHeight = $('saveDataInternal').getSize().scrollSize.y+20;
        
        new Fx.Style('videoData', 'opacity').set(0);
        new Fx.Style('videoData', 'height').set(0);
        new Fx.Style('addData', 'opacity').set(0);
        new Fx.Style('addData', 'height').set(0);
        new Fx.Style('embedData', 'opacity').set(0);
        new Fx.Style('embedData', 'height').set(0);
        new Fx.Style('shareData', 'opacity').set(0);
        new Fx.Style('shareData', 'height').set(0);
        
        new Fx.Style('saveData', 'opacity', {duration:500}).start(1);
        new Fx.Style('saveData', 'height').set(saveDataHeight);
}


var shareTweenerFunction  = function() 
{
	var shareDataHeight = $('shareDataInternal').getSize().scrollSize.y+20;
        
        new Fx.Style('videoData', 'opacity').set(0);
        new Fx.Style('videoData', 'height').set(0);
        new Fx.Style('addData', 'opacity').set(0);
        new Fx.Style('addData', 'height').set(0);
        new Fx.Style('embedData', 'opacity').set(0);
        new Fx.Style('embedData', 'height').set(0);
        new Fx.Style('saveData', 'opacity').set(0);
        new Fx.Style('saveData', 'height').set(0);
                                 
        new Fx.Style('shareData', 'opacity', {duration:500}).start(1);
        new Fx.Style('shareData', 'height').set(shareDataHeight);
}

window.addEvent('domready', function() { $('button_more').addEvent('click', dataTweenerFunction); });
{/literal}{if $print_addtogroup}{literal}window.addEvent('domready', function() { $('button_add').addEvent('click', addTweenerFunction); });{/literal}{/if}{literal}
{/literal}{if $print_embedcode}{literal}window.addEvent('domready', function() { $('button_embed').addEvent('click', embedTweenerFunction); });{/literal}{/if}{literal}
{/literal}{if $print_downloadOption}{literal}window.addEvent('domready', function() { $('button_save').addEvent('click', saveTweenerFunction); });{/literal}{/if}{literal}
window.addEvent('domready', function() { $('button_share').addEvent('click', shareTweenerFunction); });

</script>
{/literal}

        
        
        
	<div style="float:right;"><img src="{$URL_HWDVS_IMAGES}button_more.png" id="button_more" /></div>
	{if $print_nextprev}
		<div style="float:right;padding:5px;">{$videoplayer->nextprev}</div>
	{/if}
        <div>{$videoplayer->uploader} &raquo; {$videoplayer->upload_date}</div>
        {if $print_description}<div>{$videoplayer->description}</div>{/if}
              
        <div style="clear:right;"></div>
	{$videoplayer->ratingsystem}
        <div style="clear:right;"></div>

        {if $print_addtogroup}<img src="{$URL_HWDVS_IMAGES}button_add.png" id="button_add" />{/if}
        {if $print_embedcode}<img src="{$URL_HWDVS_IMAGES}button_embed.png" id="button_embed" />{/if}
        {if $print_downloadOption}<img src="{$URL_HWDVS_IMAGES}button_save.png" id="button_save" />{/if}
	{$videoplayer->switchquality}
        <img src="{$URL_HWDVS_IMAGES}button_share.png" id="button_share" />
                      
        <div id="videoData" style="visibility:hidden;height:0;">
		<div id="videoDataInternal">
			<div>{$smarty.const._HWDVIDS_CATEGORY}: {$videoplayer->category}</div>       
			{if $print_tags}<div>{$smarty.const._HWDVIDS_TAGS}: {$videoplayer->tags}</div>{/if}
		</div>
        </div>
        
        <div id="addData" style="visibility:hidden;height:0;">
		<div id="addDataInternal">
			{if $print_addtogroup}{$videoplayer->addtogroup}{/if}
			{if $print_addtoplaylist}{$videoplayer->addtoplaylist}{/if}
		</div>
        </div>
        
	<div id="embedData" style="visibility:hidden;height:0;">
		<div id="embedDataInternal">
			<strong>{$smarty.const._HWDVIDS_INFO_VIDEMBEDCODE}</strong></br />
			<form name="elink"><input type="text" value="{$videoplayer->embedcode}" width="90%" name="elink" /></form>
		</div>
        </div>

        <div id="saveData" style="visibility:hidden;height:0;">
		<div id="saveDataInternal">
			<div>{$videoplayer->downloadoriginal}</div>
			<div>{$videoplayer->vieworiginal}</div>
			<div>{$videoplayer->downloadflv}</div>
		</div>
        </div>
        
        <div id="shareData" style="visibility:hidden;height:0;">
		<div id="shareDataInternal">
			<div style="padding: 5px 0;">{$videoplayer->sendToFriend}</div>
          		{if $print_videourl}
			<strong>{$smarty.const._HWDVIDS_TITLE_PERMALINK}</strong></br />
			<form name="vlink"><input type="text" value="{$videoplayer->videourl}" width="90%" name="vlink" /></form>
          		{/if}
               		<div style="padding:5px 0;">{$videoplayer->socialbmlinks}</div>
		</div>
        </div>
                
        <div id="add2groupresponse"></div>
        <div id="add2playlistresponse"></div>
        <div style="clear:both;"></div>
        
        <div style="float:right;">{$videoplayer->avatar}</div>
        {$videoplayer->favourties}      
        {$videoplayer->reportmedia}
        <div id="ajaxresponse"></div>

        <div style="clear:both;"></div>
        